import {cd, path} from 'zx'
import {trim} from "licia";
import {run_deploy, run_package, run_upload} from '../../bin/library.js'

// 切换目录
cd(trim(path.dirname(import.meta.dirname)))
// 执行流程
try {
  await run_deploy('service-ai-core')
  await run_package('service-ai-chat')
  await run_upload('service-ai-chat')
} catch (e) {
  console.error(e)
}